Home

# Class goog.ui.BaseRoundedPanel

Base class for the hierarchy of RoundedPanel classes. Do not instantiate directly. Instead, call goog.ui.RoundedPanel.create(). The HTML structure for the RoundedPanel is:

    - div (Contains the background and content. Class name: goog-roundedpanel)
    - div (Contains the background/rounded corners. Class name:
    goog-roundedpanel-bg)
    - div (Contains the content. Class name: goog-roundedpanel-content)

extends goog.ui.Component

Instance Method Summary
| `decorateInternal(?Element element)` This method performs all the necessary DOM manipulation to create the panel. Overrides {@link goog.ui.Component#decorateInternal}.
| `disposeInternal()` Disposes of the component. Calls {@code exitDocument}, which is expected to remove event handlers and clean up the component. Propagates the call to the component's children, if any. Removes the component's DOM from the document unless it was decorated.
| `getContentElement() ⇒ ?Element` Returns the DOM element containing the actual content.